oracle.xml.pipeline.processes

## Class CompressReaderProcess

- java.lang.Object
- - oracle.xml.pipeline.controller.Process
  - - oracle.xml.pipeline.processes.CompressReaderProcess

All Implemented Interfaces:
  java.lang.Runnable, PipelineConstants, ErrorHandler

    public class CompressReaderProcess
    extends Process

Extends the pipeline Process class to create a wrapper around CXMLParser to be used by the pipeline framework. Its parameters are: Inputs - "compxml" (compressed stream) Params - none Outputs - "xml" (dom, sax) Outparams - none

### Field Summary

### Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants

`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

### Method Summary

### Methods inherited from class oracle.xml.pipeline.controller.Process

`convertFromDOM, convertFromSAX, convertFromStream, error, getErrorDocument, getErrorSource, getErrorStream, getErrorStream, getInParamValue, getInput, getOutParamValue, getOutput, getOutputStream, getOutputWriter, getSAXContentHandler, getSAXErrorHandler, info, setOutputResult`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

### Methods inherited from interface org.xml.sax.ErrorHandler

`error, fatalError, warning`

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.